Name:    soundtracker
Version: 0.6.8
Release: 2%{?dist}

Summary: Sound module composer/player

Group:     Applications/Multimedia
License:   GPL
URL:       http://www.soundtracker.org/
Source0:   http://www.soundtracker.org/dl/v0.6/soundtracker-%{version}.tar.gz
Source1:   soundtracker.desktop
Patch0:    soundtracker-0.6.8-no-setuid.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk+-devel
BuildRequires: gdk-pixbuf-devel
BuildRequires: libsndfile-devel
#BuildRequires: jack-audio-connection-kit-devel
BuildRequires: SDL-devel
BuildRequires: desktop-file-utils

%description
Soundtracker is a module tracker for the X Window System similar to
the DOS program `FastTracker'. Soundtracker is based on the XM file
format.  The user interface makes use of GTK+.

%prep
%setup -q
%patch -p1

%build
#We're at Gnome 2, no need for Gnome1 support.
%configure --disable-gnome
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang soundtracker

install -d -m0755 %{buildroot}/%{_datadir}/applications
desktop-file-install --vendor fedora \
        --dir %{buildroot}/%{_datadir}/applications  \
%SOURCE1

%clean
rm -rf %{buildroot}

%files -f soundtracker.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING FAQ NEWS README TODO
%{_bindir}/soundtracker
%{_datadir}/applications/fedora-soundtracker.desktop
%{_datadir}/soundtracker/

%changelog
* Sun Sep 10 2006 Callum Lerwick <seg@haxxed.com> - 0.6.8-2
- --disable-asm breaks x86_64 builds.

* Sun Aug 13 2006 Callum Lerwick <seg@haxxed.com> - 0.6.8-1
- New upstream version.
- Enable SDL driver, this indirectly gives ALSA support, however it is rather
  unstable so we can't kill off the OSS driver just yet.
- Compiling with jack support crashes on startup, even if the jack driver is
  not enabled.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.6.7-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.6.7-4
- rebuilt

* Wed Nov 10 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.6.7-3
- BR gettext-devel

* Mon Feb 2 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.2
- 0.6.7.0.fdr.1 was not  based on latest -pre rpm. Fixes build errors.

* Thu Jan 29 2004 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.1
- 0.6.7 release

* Mon Nov 17 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.4.pre6
- Revert soundtracker-mkinstalldirs.patch to patch provided by Michael Schwendt,
  Now builds on RH9 again.

* Fri Nov 14 2003 Nils O. Selåsdal <NOS@Utel.no>  - 0:0.6.7-0.fdr.0.3.pre6
- add soundtracker-mkinstalldirs.patch that prevents po/Makefile.in.in from
  doing funny things. Now builds on FC1.

* Sat Aug 30 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.2.pre6
- Remove old and painful changelogs from doc,
- Don't use macros for commands run within the .spec file
- Disable jack support.

* Thu Aug 28 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.0.1.pre6
- Correct package version
- Add missing BuildRequires. Explicit disable features we don't want(alsa,asm),
- Remove ABOUT-NLS from documentation
- Place .desktop file in external source, use correct .desktop category.

* Wed Aug 27 2003 Nils O. Selåsdal <NOS@Utel.no> - 0:0.6.7-0.fdr.1.pre6
- Initial RPM release for Fedora
- Rework Makefile.am's to work with recent autotools and to not
  install setuid root
